package com.xy.redis;

import com.xy.annotate.RestMappingController;
import com.xy.entity.join.SysMenuJoinSysRoleMenu;
import com.xy.utils.SaTokenUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@Api(tags = "测试")
@RestMappingController("test")
public class TestService {

    @ApiOperation("测试")
    @GetMapping("test")
    public List<SysMenuJoinSysRoleMenu> test() {
        return RedisCache.getMenuTree(Long.parseLong(SaTokenUtils.getId().toString()), 1L);
    }

}
